/*
 * (C) Copyright 2000-2005 Hewlett-Packard Development Company, L.P.
 */
#include "CpqCiWrp.h"
#include "CpqCiTyp.h"
#include "CpqCi.h"
#include "CpqCiDrv.h"

//Now, these are the print helpers.
static int print_ccb(char* buffer, int bufsize, CPQCICCB* ccb)
{
	int buflen = 0;
	if (ccb == NULL) {
		PRINTF("(null)");
	} else {
		PRINTF("(add:%p ", ccb); 
		PRINTF("(sqf:%lx ", ccb->SqFifo);
		PRINTF("sqd:%lx ", ccb->SqDesc);
		PRINTF("sqc:%lx) ", ccb->SqCtrl);
		PRINTF("(rqf:%lx ", ccb->RqFifo);
		PRINTF("rqd:%lx ", ccb->RqDesc);
		PRINTF("rqc:%lx) ", ccb->RqCtrl);
		PRINTF("db:%lx ", ccb->DoorbellBase);
		PRINTF("ch:%lx)", ccb->ChannelNumber);
	}
	return buflen;
}

CPQCICONNECTIONOBJECT* get_connection_object(CPQCIADAPTEROBJECT* pao, int index) 
{
	if (pao == NULL) return NULL;
	return &pao->ConnectionObject[index];
}


int print_connection_object(char* buffer, int bufsize, CPQCICONNECTIONOBJECT* obj)
{
	int buflen = 0;
	CPQCITYPEQUAD ref;
	if (obj == NULL) {
		PRINTF("(null)");
	} else {
		PRINTF("(mmh:");
		buflen+=print_mem_handle(buffer+buflen, bufsize-buflen, obj->MappedMemoryHandle);
		PRINTF(" mdh:");
		buflen+=print_mem_handle(buffer+buflen, bufsize-buflen, obj->MappedDoorbellHandle);
		PRINTF(" ccb:");
		buflen+=print_ccb(buffer+buflen, bufsize-buflen, &obj->MappedCcbCopy);
		CpqCiOsGetRefCount(obj->Context, &ref);
		PRINTF(" ref:%ld)", ref);
	}
	return buflen;
}

CPQCICHANNELOBJECT* get_channel_object(CPQCIADAPTEROBJECT* pao, int index) 
{
	if (pao == NULL) return NULL;
	return &pao->ChannelObject[index];
}

int print_channel_object(char* buffer, int bufsize, int no, CPQCICHANNELOBJECT* obj)
{
	int buflen = 0;
	if (obj == NULL) {
		PRINTF("(null)");
	} else {
		PRINTF("(num:%d ", no);
		PRINTF("ref:%lx ", obj->ReferenceCount);
		PRINTF("wai:%lx ", obj->WaiterCount);
		PRINTF("ccb:");
		buflen+=print_ccb(buffer+buflen, bufsize-buflen, &obj->DriverCcb);
		PRINTF(")");
	}
	return buflen;
}

