summary     	: HP iLO Channel Interface Driver
name        	: hp-ilo
Version		:        8.1.6
Release		:        2.rhel5
group       	: System Environment/Kernel
source		: hp-ilo.tar.gz
license		: GNU Public License
packager    	: Hewlett-Packard Company
vendor		: Hewlett-Packard Company
url         	: http://www.hp.com/go/proliantlinux
buildroot   	: /var/tmp/%{name}
icon		: hprpm.xpm
autoreqprov	: no
prereq		: /bin/sh, /bin/bash
conflicts	: hprsm, hpqci

%description
This is the Hewlett-Packard integrated Lights-Out (iLO) system management controller channel interface device driver. This driver establishes a channel from the iLO 2 controller to an application such that the application can communicate directly to the iLO 2 controller. This driver also notifies applications if interrupts are available for a channel.

%prep
%setup -n %{name}

%build
EFS_VER=%{version}\-%{release}
PKG_VER=%{version}\-CUSTOM
echo "$PKG_VER" > PKG_VERSION
make OS_MODEL=LINUX EFS_VER="$EFS_VER" all

%install
if [ $RPM_BUILD_ROOT != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT

export RPM_BUILD_ROOT
export RPM_MAKE_ROOT=.
export RPM_NAME=%{name}

make install

%pre
BUSY=`lsmod |fgrep hp_ilo`
if [ ${#BUSY} -ne 0 ]; then
	rmmod hp_ilo
	if [ $? != 0 ]; then
		echo "Unable to remove module hp_ilo!"
		echo "Please make sure that all applications have stopped using"
		echo "this device driver."
		exit 1
	fi
fi
exit 0

%post
#
# Let's see if we need to rebuild
#

sh /opt/hp/hp-ilo/check_install_kernel.sh

# Display EULA for Source Modules
#
echo "Please read the Licence Agreement for this software at"
echo
echo "         /opt/hp/hp-ilo/hp-ilo.license"
echo
echo "By not removing this package, you are accepting the terms"
echo "of the included licenses."
echo ""
echo "The man page, hp-ilo(4), describes how to enable and use"
echo "the hp-ilo device driver."
if [ $1 -eq 1 ]; then
	# not an upgrade, set the service to autostart
	if [ -x /sbin/insserv ]; then
		/sbin/insserv -f hp-ilo
	elif [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --add hp-ilo
		/sbin/chkconfig hp-ilo on
	fi
fi
exit 0

%preun
if [ $1 -gt 0 ]; then
	# package upgrade
	exit 0
fi
# package removal
BUSY=`lsmod |fgrep hp_ilo`
if [ ${#BUSY} -ne 0 ]; then
	rmmod hp_ilo
	if [ $? != 0 ]; then
		echo "Unable to remove module hp_ilo!"
		echo "Please make sure that all applications have stopped using"
		echo "this device driver."
		exit 1
	fi
fi
if [ -x /sbin/insserv ]; then
   /sbin/insserv -f -r hp-ilo
elif [ -x /sbin/chkconfig ]; then
   /sbin/chkconfig --del hp-ilo
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
	# package removal
	rm -rf /opt/hp/hp-ilo
	rm -f  /var/lock/subsys/hp-ilo
	echo "The hp-ilo package has been removed from this system"
fi
exit 0

%clean
rm -fR $RPM_BUILD_ROOT

%files 
%defattr(755,root,root)
/opt/hp/hp-ilo
/etc/init.d/hp-ilo
%defattr(644,root,root)
/usr/share/man/man4/hp-ilo.4.gz

